require 'spec_helper'

describe URI do
  describe 'img_url' do
    context 'when valid shortenigs' do
      it 'should return valid url' do
        expect(URI.parse("http://twitpic.com/ebyzs8").img_url).to eq("http://twitpic.com/show/full/ebyzs8")
        expect(URI.parse("http://p.twipple.jp/uxGVC").img_url).to eq("http://p.twpl.jp/show/orig/uxGVC")
        expect(URI.parse("http://ow.ly/i/7pe9t").img_url).to eq("http://static.ow.ly/photos/original/7pe9t.jpg")
        expect(URI.parse("http://photozou.jp/photo/show/3069411/214490849").img_url).to eq("http://photozou.jp/p/img/214490849")
        expect(URI.parse("http://instagram.com/p/vZI4m6QnDq/").img_url).to eq("http://instagram.com/p/vZI4m6QnDq/media/?size=l")
        expect(URI.parse("http://f.hatena.ne.jp/xxxodakaoru/20141117234045").img_url).to eq("http://f.st-hatena.com/images/fotolife/x/xxxodakaoru/20141117/20141117234045.jpg")
      end
    end
  end
end
